DZN(CODE)

NAME
dzn code - manual page for dzn code 2.20.0

SYNOPSIS
dzn code [OPTION]... {DZN-FILE|DIRECTORY}...

DESCRIPTION
Generate code for Dezyne models in DZN-FILEs and DIRECTORY(s)

-c, --calling-context=TYPE
    generate extra parameter of TYPE for every event

-C, --no-constraint
    do not use a constraining process

-h, --help
    display this help and exit

-I, --import=DIR+
    add DIR to import path

--init=PROCESS
    use init PROCESS for mCRL2

-l, --language=LANG
    generate code for language=LANG [c++]

-L, --locations
    prepend locations to output trace

-m, --model=MODEL
    generate main for MODEL

-o, --output=DIR
    write output to DIR (use - for stdout)

-q, --queue-size=SIZE
    use queue size SIZE [3]

--queue-size-defer=SIZE
    use queue size=SIZE [2] for defer

--queue-size-external=SIZE
    use queue size=SIZE [1] for external

-s, --shell=MODEL
    generate thread safe system shell for MODEL

-t, --touch-empty-files
    generate empty files for consistency

-U, --no-unreachable
    do not generate unreachable code tags

Languages: c, c++, cs, dot, dzn, javascript, json, makreel, scheme

SEE ALSO
The full documentation for dzn code is maintained as a Texinfo manual. If the info and dzn code programs are properly installed at your site, the command

    info dzn code

should give you access to the complete manual.